# -*- rpm-spec -*-
# $Id: nut,v 1.11 2003/01/29 10:26:51 lioka Exp $

%define _sbindir /sbin
%define confdir %_sysconfdir/%name
%define modeldir %_libdir/%name
%define cgidir  %_libdir/cgi-bin/%name
%define runas upsmon

Name: nut
Version: 1.0.0
Release: alt2

Summary: Network UPS Tools
License: GPL
Group: System/Servers
Url: http://www.exploits.org/%name

Source: %url/release/%name-%version.tar.bz2
Source1: upsd.init
Source2: upsmon.init
Patch0: %name-1.0.0-mkfix.patch
Patch1: %name-0.50.0-cfg.patch

Prereq: initscripts >= 5.49-ipl29mdk shadow-utils
BuildRequires: XFree86-devel freetype-devel libgd-devel libpng3-devel netpbm xpm-devel

%package server
Group: System/Servers
Summary: Network UPS Tools server
PreReq: %name = %version-%release

%package cgi
Group: System/Servers
Summary: CGI utilities for the Network UPS Tools
Requires: webserver

%description
These programs are part of a developing project to monitor the assortment 
of UPSes that are found out there in the field. Many models have serial 
serial ports of some kind that allow some form of state checking. This
capability has been harnessed where possible to allow for safe shutdowns, 
live status tracking on web pages, and more.

This package includes the client utilities that are required to monitor a
UPS that the client host is powered from - either connected directly via
a serial port (in which case the %name-server package needs to be installed on
this machine) or across the network (where another host on the network
monitors the UPS via serial cable and runs the upsd from %name-server package
to allow clients to see the information).

%description server
These programs are part of a developing project to monitor the assortment 
of UPSes that are found out there in the field. Many models have serial 
serial ports of some kind that allow some form of state checking. This
capability has been harnessed where possible to allow for safe shutdowns, 
live status tracking on web pages, and more.

This package is the main NUT upsd daemon and the associated per-UPS-model
drivers which talk to the UPSes.  You also need to install the %name
package.

%description cgi
These programs are part of a developing project to monitor the assortment 
of UPSes that are found out there in the field. Many models have serial 
serial ports of some kind that allow some form of state checking. This
capability has been harnessed where possible to allow for safe shutdowns, 
live status tracking on web pages, and more.

This package includes CGI programs for accessing UPS status via a web
browser and can be installed on a separate machine to the rest of the
%name packages.
 
%prep
%setup -q
%patch0 -p1 -b .mkfix
%patch1 -p1 -b .cfg

%build
%configure \
	--sysconfdir=%confdir \
	--with-cgi --with-cgipath=%cgidir \
	--with-drvpath=%modeldir \
	--with-statepath=%_localstatedir/%name \
	--with-user=%runas --with-group=%runas
%make_build

%install
%make_install DESTDIR=%buildroot install install-cgi
%__mv -f %buildroot%modeldir/upsdrvctl %buildroot%_sbindir
%__install -p -m0755 -D %SOURCE1 %buildroot%_initdir/upsd
%__install -p -m0755 -D %SOURCE2 %buildroot%_initdir/upsmon
%__mkdir_p %buildroot%_localstatedir/%name

%pre
/usr/sbin/groupadd -r -f %runas &>/dev/null
/usr/sbin/useradd -r -g %runas -d %_localstatedir/%name -s /dev/null \
	-c "NUT monitoring daemon" -M -n %runas &>/dev/null ||:
%post
%post_service upsmon

%preun
%preun_service upsmon

%post server
%post_service upsd

%preun server
%preun_service upsd

%files 
%doc COPYING CREDITS CHANGES README docs/FAQ docs/*.txt
%config(noreplace) %attr(600,root,root) %confdir/upsmon.conf
%config(noreplace) %attr(600,root,root) %confdir/upssched.conf
%dir %attr(2770,root,%runas) %_localstatedir/%name
%_initdir/upsmon
%_sbindir/upsmon
%_sbindir/upssched
%_bindir/upsc
%_bindir/upscmd
%_bindir/upsct
%_bindir/upsct2
%_man5dir/upsmon.conf.5.*
%_man5dir/upssched.conf.5.*
%_man8dir/upsc.8.*
%_man8dir/upscmd.8.*
%_man8dir/upsct.8.*
%_man8dir/upsct2.8.*
%_man8dir/upsmon.8.*
%_man8dir/upssched.8.*

%files server
%doc COPYING CREDITS CHANGES README docs/drivers docs/cables
%config(noreplace) %confdir/ups.conf
%config(noreplace) %attr(600,root,root) %confdir/upsd.conf
%config(noreplace) %attr(600,root,root) %confdir/upsd.users
%_initdir/upsd
%_sbindir/upsd
%_sbindir/upsdrvctl
%_bindir/upslog
%modeldir/*
%_man5dir/ups.conf.5.*
%_man5dir/upsd.conf.5.*
%_man5dir/upsd.users.5.*
%_man8dir/apcsmart.8.*
%_man8dir/belkin.8.*
%_man8dir/bestferrups801-807.8.*
%_man8dir/bestups.8.*
%_man8dir/cyberpower.8.*
%_man8dir/everups.8.*
%_man8dir/fentonups.8.*
%_man8dir/genericups.8.*
%_man8dir/hp.8.*
%_man8dir/masterguard.8.*
%_man8dir/mge-ellipse.8.*
%_man8dir/newapc.8.*
%_man8dir/powercom.8.*
%_man8dir/sec.8.*
%_man8dir/tripplite.8.*
%_man8dir/upsd.8.*
%_man8dir/upsdrvctl.8.*
%_man8dir/upslog.8.*
%_man8dir/victronups.8.*

%files cgi
%config(noreplace) %confdir/hosts.conf
%config(noreplace) %confdir/multimon.conf
%config(noreplace) %confdir/upsset.conf
%cgidir

%changelog
* Wed Jan 29 2003 Sergey Bolshakov <s.bolshakov@sam-solutions.net> 1.0.0-alt2
- initscripts fixed a bit

* Sat Sep 21 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 1.0.0-alt1
- 1.0.0

* Mon Jul 22 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 0.5.0-alt1
- first build for ALT Linux distribution

